## <RegisterMain />

Constructor

#### # <RegisterMain />

The main registration component. Acts as a backdrop for all intermediate registration steps.

View Source src/components/Auth/Registration/RegisterMain.tsx, line 18

# Members

#### # static constant preventExitFromRegistration

Handler that intercepts a request to leave the registration screen and asks the user to confirm that they want to leave. If they confirm they want to leave, all registration state will reset and the user will be directed back to Intro.

View Source src/components/Auth/Registration/RegisterMain.tsx, line 41

#### # inner constant stepState

Holds an integer value that maps to a step in the registration process. The mapping is as follows:

- 1 -> Username and Email
- 2 -> Password
- 3 -> Sagitta and Measurements
- 4 -> Profile picture and submission
- 5 -> Result

View Source src/components/Auth/Registration/RegisterMain.tsx, line 27

#### # inner constant subTitleState

Holds the current subtitle text.

View Source src/components/Auth/Registration/RegisterMain.tsx, line 32

# Methods

#### # inner changeStep()

Changes the registration step to the given value.

View Source src/components/Auth/Registration/RegisterMain.tsx, line 62

#### # inner finish()

Returns to the intro screen.

View Source src/components/Auth/Registration/RegisterMain.tsx, line 69